Set system mode
curl --request POST \
--url http://aris.local/api/system/mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"mode": "auto"
}'import requests
url = "http://aris.local/api/system/mode"
payload = { "mode": "auto" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'auto'})
};
fetch('http://aris.local/api/system/mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"mode": "auto"
}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}{
"error": "Unauthorized",
"message": "Valid authentication required"
}System
Set system mode
Set the system-wide operating mode. This affects all zones.
heat- System provides heating onlycool- System provides cooling onlyauto- System automatically switches between heating and coolingoff- System is off
POST
/
api
/
system
/
mode
Set system mode
Authorizations
Session token or API token
Body
application/json
Available options:
heat, cool, auto, off Example:
"auto"
⌘I

